Notes de mise à jour de Moodle 2.1

Attention : vous consultez actuellement la documentation dédiée aux versions 2.x de Moodle. La documentation pour les versions 3.x de Moodle est consultable ici : Notes de mise à jour de Moodle 2.1.

Cette version de Moodle n'est plus supportée ! Vous devriez mettre à jour vers une version supportée de Moodle.

Remarque : la traduction de cette page n'est pas terminée. N'hésitez pas à traduire tout ou partie de cette page ou à la compléter. Vous pouvez aussi utiliser la page de discussion pour vos recommandations et suggestions d'améliorations.

Remarque : cet article est en cours de rédaction. N'hésitez pas à le compléter. Veuillez utiliser la page de discussion ou un forum adéquat de Moodle en français pour vos recommandations et suggestions d'améliorations.

Moodle 2.1

Date de sortie : 1er juillet 2011

Consulter la liste des détails sur les évolutions et corrections de bogues qui sont corrigés dans cette version 2.1 (en anglais).

Nouvelles fonctionnalités

Nouveau moteur de questions

  • Le système de question de Moodle a été ré-écrit afin de le rendre plus robuste et de supporter plusieurs nouvelles fonctionnalités possibles.
  • Voir le résumé des changements dans la page Nouveau moteur de questions et plus de détails sur MDL-20636.
  • Attention : ce changement nécessite une mise à jour majeure de la base de données. Si vous avez beaucoup de tentatives sur des questions dans votre site, vous devriez planifier votre mise à jour en étapes, en utilisant du code supplémentaire qui n'est pas dans le système central.
  • Alerte de compatibilité ascendante : le type de question Random short-answer matching n'est plus intégré dans la distribution Moodle de base.

Possibilité de restaurer depuis les sauvegardes de cours de Moodle 1.9

  • Les fichiers de sauvegarde de cours créés avec Moodle 1.9 peuvent maintenant être restaurés en suivant le processus normal.
  • Les données utilisateur (comme les messages de forum, notes, devoirs...) ne sont pas supportées actuellement. Les Blocs ne sont pas restaurés actuellement.
  • Voir MDL-22414 pour plus de détails.

Support des téléphones mobiles

Changements importants

  • MDL-11288 Possibilité de copier (ou cloner) une activité
  • MDL-27428 Ability to navigate navigation/settings menu and dock with keyboard
  • MDL-26784 Improved plugins check/overview page
  • MDL-27500 Mise à jour de TinyMCE à la dernière version 3.4.2
  • MDL-26105 User friendly block settings and help information
  • MDL-27251 New performance setting for calculating an appropriate timeout during large cURL requests
  • MDL-25805 Friendlier navigation for parent roles to see mentees in courses
  • MDL-27577 Daylight saving should be calculated for users having string timezone
  • MDL-27171 Messaging Improvements: Site administrators can now control which message delivery methods can be used for each message type. (In 2.0 students could switch off notifications. In 2.1 this can be overidden)

Sécurité

Il n'y a pas de correctif de sécurité particulier dans cette version.

Mise à jour

Pour passer à Moodle 2.1, vous devez avoir Moodle 1.9 ou Moodle 2.0 (de préférence) installé. Nous vous recommandons très fortement de tester la mise à jour sur une COPIE de votre site de production, afin de tester que tout fonctionne comme prévu.

Vérifiez également que vous avez bien PHP 5.3.2 ou ultérieur, comme la version minimale a augmenté depuis Moodle 2.0.

Pour plus d'informations, voir Mise à jour à Moodle 2.1.

Pour les développeurs : changements dans les API

  • MDL-28166 Note that the two events triggered by the quiz module (quiz_attempt_started and quiz_attempt_processedsubmitted) changed slightly to follow a more consistent naming scheme. We do not believe they were used much, so we decided to fix them now, so we could have a nice, stable API in the future.

Voir aussi